<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JaDOrT: JASMINe Deployment Orchestration Tool
  - Copyright (C) 2008-2009 Bull S.A.S.
  - Copyright (C) 2008-2009 France Telecom R&D
  - Contact: jasmine@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: pom.xml 4085 2009-06-18 14:41:06Z alitokmen $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

  <parent>
    <groupId>org.ow2.jasmine</groupId>
    <artifactId>jadort</artifactId>
    <version>1.4.0-M1</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>${parent.artifactId}-ejb</artifactId>
  <packaging>ejb</packaging>
  <name>JASMINe :: JaDOrT :: EJB</name>

  <dependencies>
    <!-- This dependency will be embedded into the EJB-JAR -->
    <dependency>
      <groupId>${project.groupId}</groupId>
      <artifactId>${parent.artifactId}-api</artifactId>
      <version>${project.version}</version>
      <scope>provided</scope>
    </dependency>

    <!-- Put all dependencies so that they get added to the
         CLASSPATH of the MANIFEST.MF file generated by Maven -->
    <dependency>
      <groupId>commons-codec</groupId>
      <artifactId>commons-codec</artifactId>
      <version>1.1</version>
    </dependency>
    <dependency>
      <groupId>org.ow2.jasmine</groupId>
      <artifactId>deployme-api</artifactId>
      <version>${ow2.jasmine.deployme.version}</version>
    </dependency>
    <dependency>
      <groupId>org.ow2.jasmine</groupId>
      <artifactId>vmmapi</artifactId>
      <version>${ow2.jasmine.vmmapi.version}</version>
    </dependency>
    <dependency>
      <groupId>org.ow2.util</groupId>
      <artifactId>util-ee-deploy-impl</artifactId>
      <version>${ow2.util.version}</version>
    </dependency>
    <dependency>
      <groupId>tomcat</groupId>
      <artifactId>tomcat-jkstatus-ant</artifactId>
      <version>${modjk.version}</version>
    </dependency>
    <dependency>
      <groupId>tomcat</groupId>
      <artifactId>tomcat-util</artifactId>
      <version>${modjk.version}</version>
    </dependency>

    <!-- Only required during tests, the Java EE server will provide it -->
    <dependency>
      <groupId>com.sun.xml.bind</groupId>
      <artifactId>jaxb-impl</artifactId>
      <version>${jaxb-impl.version}</version>
      <scope>test</scope>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.jvnet.jaxb2.maven2</groupId>
        <artifactId>maven-jaxb2-plugin</artifactId>
        <version>${jaxb.plugin.version}</version>
        <executions>
          <execution>
            <goals>
              <goal>generate</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <schemaDirectory>../jadort-api/src/main/resources/XMLSchema</schemaDirectory>
          <generatePackage>org.ow2.jasmine.jadort.service.topology.xml</generatePackage>
          <strict>true</strict>
          <verbose>true</verbose>
        </configuration>
      </plugin>
      <!-- The entity beans need to be in the EJB-JAR -->
      <plugin>
        <artifactId>maven-antrun-plugin</artifactId>
        <executions>
          <execution>
            <id>copy-impl</id>
            <phase>compile</phase>
            <configuration>
              <tasks>
                <unzip src="${basedir}/../${parent.artifactId}-api/target/${parent.artifactId}-api-${project.version}.jar" dest="${project.build.directory}/classes" />
              </tasks>
            </configuration>
            <goals>
              <goal>run</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <artifactId>maven-ejb-plugin</artifactId>
        <configuration>
          <ejbVersion>3.0</ejbVersion>
          <archive>
            <manifest>
              <addClasspath>true</addClasspath>
            </manifest>
          </archive>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
